clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol =[
120
120.9
121.8
122.7
123.6
124.5
125.4
126.3
127.2
128.1
129
129.9
130.8
131.7
132.6
133.5
134.4
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.00112354	0.00117004	0.00122213	0.0012808	0.00134728	0.00142312	0.00151032	0.00161147	0.00173006	0.00187081	0.00204033	0.00224819	0.00250867	0.00284422	0.00329222	0.0039198	0.00486096;
0.00112491	0.00117148	0.00122365	0.00128241	0.00134899	0.00142494	0.00151226	0.00161356	0.00173231	0.00187325	0.00204301	0.00225114	0.00251196	0.00284796	0.00329653	0.00392491	0.00486727;
0.00112629	0.00117293	0.00122518	0.00128404	0.00135071	0.00142678	0.00151422	0.00161566	0.00173458	0.00187572	0.0020457	0.00225411	0.00251528	0.00285171	0.00330087	0.00393006	0.00487362;
0.00112768	0.0011744	0.00122673	0.00128568	0.00135246	0.00142863	0.0015162	0.00161779	0.00173687	0.0018782	0.00204842	0.00225711	0.00251862	0.0028555	0.00330525	0.00393525	0.00488001;
0.00112909	0.00117588	0.0012283	0.00128733	0.00135421	0.0014305	0.0015182	0.00161993	0.00173918	0.0018807	0.00205115	0.00226012	0.00252199	0.00285931	0.00330965	0.00394047	0.00488645;
0.00113052	0.00117738	0.00122988	0.00128901	0.00135599	0.00143238	0.00152021	0.00162209	0.0017415	0.00188323	0.00205391	0.00226317	0.00252538	0.00286316	0.00331408	0.00394573	0.00489293;
0.00113196	0.0011789	0.00123148	0.00129069	0.00135777	0.00143429	0.00152224	0.00162426	0.00174385	0.00188577	0.00205669	0.00226623	0.0025288	0.00286702	0.00331855	0.00395102	0.00489944;
0.00113341	0.00118042	0.00123309	0.00129239	0.00135958	0.0014362	0.00152429	0.00162645	0.00174621	0.00188833	0.00205948	0.00226931	0.00253224	0.00287091	0.00332304	0.00395634	0.004906;
0.00113487	0.00118197	0.00123471	0.00129411	0.00136139	0.00143813	0.00152635	0.00162866	0.00174859	0.00189091	0.0020623	0.00227241	0.0025357	0.00287483	0.00332756	0.0039617	0.0049126;
0.00113635	0.00118352	0.00123635	0.00129584	0.00136323	0.00144008	0.00152842	0.00163089	0.00175098	0.0018935	0.00206513	0.00227554	0.00253918	0.00287877	0.0033321	0.00396708	0.00491923;
0.00113784	0.00118509	0.001238	0.00129758	0.00136507	0.00144204	0.00153051	0.00163312	0.0017534	0.00189611	0.00206799	0.00227868	0.00254268	0.00288273	0.00333667	0.0039725	0.00492591;
0.00113935	0.00118667	0.00123966	0.00129934	0.00136693	0.00144402	0.00153262	0.00163538	0.00175582	0.00189874	0.00207086	0.00228184	0.00254621	0.00288672	0.00334127	0.00397795	0.00493261;
0.00114086	0.00118826	0.00124134	0.00130111	0.0013688	0.001446	0.00153474	0.00163765	0.00175826	0.00190139	0.00207374	0.00228502	0.00254975	0.00289073	0.0033459	0.00398343	0.00493936;
0.00114239	0.00118986	0.00124303	0.00130289	0.00137069	0.00144801	0.00153687	0.00163993	0.00176072	0.00190405	0.00207665	0.00228822	0.00255331	0.00289476	0.00335055	0.00398893	0.00494614;
0.00114393	0.00119148	0.00124473	0.00130468	0.00137259	0.00145002	0.00153902	0.00164223	0.00176319	0.00190673	0.00207957	0.00229144	0.0025569	0.00289881	0.00335522	0.00399447	0.00495295;
0.00114548	0.00119311	0.00124644	0.00130649	0.0013745	0.00145205	0.00154118	0.00164454	0.00176568	0.00190942	0.00208251	0.00229467	0.0025605	0.00290289	0.00335992	0.00400003	0.0049598;
0.00114704	0.00119475	0.00124817	0.00130831	0.00137642	0.00145409	0.00154335	0.00164687	0.00176818	0.00191213	0.00208546	0.00229792	0.00256412	0.00290698	0.00336464	0.00400562	0.00496668];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','p',...
    'MarkerEdgeColor','[0.4660 0.6740 0.1880]',...
    'MarkerFaceColor','[0.4660 0.6740 0.1880]')

zlim([0.0008 0.00496668])
ylim([120E9 134.4E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([120E9 122.5E9 125E9 127.5E9 130E9 132E9 134.4E9])
zticks([0.00112354 0.002 0.003 0.004 0.00496668])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - noDoped-20Ta-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_20TaDoped_strainenergy_LLZO_48e_fAl.eps
print -dpng Highload_20TaDoped_strainenergy_LLZO_48e_fAl.png